%define oname   sqlite3

Name:       ruby-%{oname}
Version:    1.3.3
Release:    %mkrel 2
Summary:    Allows Ruby programs to interface with the SQLite3 database engine
Group:      Development/Ruby
License:    BSD-like
URL:        http://github.com/luislavena/sqlite3-ruby
Source0:    %{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: rubygem(flexmock)
BuildRequires: rubygem(hoe) >= 2.8.0
BuildRequires: rubygem(rake-compiler) >= 0.7.0
BuildRequires: sqlite3-devel
Requires:   ruby(abi) = 1.8
BuildRequires: ruby-devel
# Add provides for dbd-sqlite3
Provides:   rubygem(sqlite3-ruby) = %{version}-%{release}

%description
This module allows Ruby programs to interface with the SQLite3
database engine (http://www.sqlite.org).  You must have the
SQLite engine installed in order to build this module.
Note that this module is NOT compatible with SQLite 2.x.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/%{oname}*

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/API_CHANGES.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGELOG.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ext/sqlite3/backup.c
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ext/sqlite3/database.c
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ext/sqlite3/exception.c
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ext/sqlite3/sqlite3.c
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ext/sqlite3/statement.c
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
# there might be a more easy way to do this, but Rakefile forces recompilation
ruby -I%{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/ \
 -I%{buildroot}%{ruby_sitearchdir} -Itest/ \
 -e 'require "test/unit"
  Dir["test/test_*.rb"].each { |t| require t }'

%clean
rm -rf %{buildroot}



%changelog
* Wed Feb 09 2011 shikamaru <shikamaru> 1.3.3-2.mga1
+ Revision: 49400
- add provides to please dbd-sqlite3

* Fri Jan 28 2011 shikamaru <shikamaru> 1.3.3-1.mga1
+ Revision: 43040
- imported package ruby-sqlite3


* Fri Jan 28 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.3.3-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- Bump to new version 1.3.3

* Sat Dec 04 2010 Rémy Clouard <shikamaru@mandriva.org> 1.2.2-4mdv2011.0
+ Revision: 609439
- add Provides for after_commit

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 1.2.2-3mdv2010.0
+ Revision: 433552
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.2.2-2mdv2009.0
+ Revision: 269236
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1.2.2-1mdv2009.0
+ Revision: 214635
- new version 1.2.2

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.2.1-1mdv2008.1
+ Revision: 140755
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.1-1mdv2008.0
+ Revision: 17011
- 1.2.1
- move tests to %%check
- disable tests, they need very old flexmock

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 1.1.0-3mdv2008.0
+ Revision: 16965
- BuildRequires swig
- Use mkrel
- use Development/Ruby group
- Use std macros


* Mon Jul 11 2005 Pascal Terjan <pterjan@mandriva.org> 1.1.0-2mdk
- fix BuildRequires

* Wed May 11 2005 Pascal Terjan <pterjan@mandriva.org> 1.1.0-1mdk
- first release

